Name:		mcrypt
Version:	2.6.4
Release:	3%{?dist}
License:	GPL
Group:		Applications/System
Summary:	Replacement for crypt()
URL:		http://mcrypt.sourceforge.net/
Source0:	http://download.sourceforge.net/mcrypt/mcrypt-%{version}.tar.gz
Patch0:		mcrypt-2.6.4-destdirfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libmcrypt-devel, mhash-devel, gettext, zlib-devel

%description
MCrypt is a replacement for the old crypt() package and crypt(1) command, 
with extensions. It allows developers to use a wide range of encryption 
functions, without making drastic changes to their code. It allows users 
to encrypt files or data streams without having to be cryptographers. 

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 12 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-3
- bump for FC-6

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-2
- bump for FC-5

* Thu Sep 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.6.4-1
- initial package for Fedora Extras
